当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : gcc不能安装
帖子发表于 : 2009-10-08 2:06 
头像

注册: 2009-09-20 2:45
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install build-essential autoconf automake cvs subversion
之后:
build-essential: 依赖: g++ (>= 4:4.3.1) 但是它将不会被安装

sudo apt-get install build-essential#结果也一样

#ubuntu 9.04 i386


页首
 用户资料  
 
2 楼 
 文章标题 : Re: gcc不能安装
帖子发表于 : 2009-10-08 2:20 
头像

注册: 2009-09-20 2:45
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install gcc
#之后出现
gcc 已经是最新的版本了。
下列软件包是自动安装的并且现在不再被使用了:
gappletviewer-4.3 libice-dev debhelper intltool-debian x11proto-kb-dev antlr po-debconf libantlr-java libxdmcp-dev
libmail-sendmail-perl xtrans-dev x11proto-core-dev gettext gjdoc libpthread-stubs0-dev dpkg-dev libpthread-stubs0 html2text
patch libantlr-java-gcj libsys-hostname-long-perl
使用'apt-get autoremove'来删除它们

#是不是我的gcc已经装好了?


页首
 用户资料  
 
3 楼 
 文章标题 : Re: gcc不能安装
帖子发表于 : 2009-10-08 2:27 
头像

注册: 2009-09-20 2:45
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
g++ /home/lyqf/桌面/hello.cpp
#之后出现:
程序 'g++' 已包含在以下软件包中:
* g++
* pentium-builder
试试:sudo apt-get install <选定的软件包>
bash: g++:找不到命令


页首
 用户资料  
 
4 楼 
 文章标题 : Re: gcc不能安装
帖子发表于 : 2009-10-08 2:33 
头像

注册: 2009-09-20 2:45
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install pentium-builder
#之后:
下列软件包是自动安装的并且现在不再被使用了:
gappletviewer-4.3 libice-dev debhelper intltool-debian x11proto-kb-dev antlr po-debconf libantlr-java libxdmcp-dev
libmail-sendmail-perl xtrans-dev x11proto-core-dev gettext gjdoc libpthread-stubs0-dev dpkg-dev libpthread-stubs0 html2text
patch libantlr-java-gcj libsys-hostname-long-perl
使用'apt-get autoremove'来删除它们
下列【新】软件包将被安装:
pentium-builder
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 7178B 的软件包。
解压缩后会消耗掉 81.9kB 的额外空间。
获取:1 http://mirrors.163.com intrepid/universe pentium-builder 0.19 [7178B]
下载 7178B,耗时 0s (21.7kB/s)
选中了曾被取消选择的软件包 pentium-builder。
(正在读取数据库 ... 系统当前总共安装有 109029 个文件和目录。)
正在解压缩 pentium-builder (从 .../pentium-builder_0.19_all.deb) ...
正在添加 “diversion of /usr/bin/gcc to /usr/bin/gcc.real by pentium-builder”
正在添加 “diversion of /usr/bin/g++ to /usr/bin/g++.real by pentium-builder”
正在处理用于 man-db 的触发器...
正在设置 pentium-builder (0.19) ...
没有 “any diversion of /usr/bin/c++” 转移项,因此没有作出删除

##################################################
g++ /home/lyqf/桌面/hello.cpp
#之后:
Unable to exec g++.real: 没有该文件或目录


######################
#到底怎么回事?


页首
 用户资料  
 
5 楼 
 文章标题 : Re: gcc不能安装
帖子发表于 : 2009-10-08 3:06 
头像

注册: 2009-09-20 2:45
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get build-dep gcc
#执行完成了:

--@--:~$ gcc /home/lyqf/workspace/hello.cc -o hello
gcc.real: error trying to exec 'cc1plus': execvp: 没有该文件或目录
--@--p:~$ gcc /home/lyqf/workspace/hello.cc
gcc.real: error trying to exec 'cc1plus': execvp: 没有该文件或目录
--@--:~$ g++ /home/lyqf/workspace/hello.cc
Unable to exec g++.real: 没有该文件或目录

#什么情况?


页首
 用户资料  
 
6 楼 
 文章标题 : Re: gcc不能安装
帖子发表于 : 2009-10-08 9:56 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
你的系统是 9.04,你自己设置的源是 8.10 !!!


页首
 用户资料  
 
7 楼 
 文章标题 : Re: gcc不能安装
帖子发表于 : 2009-10-09 2:09 
头像

注册: 2009-09-20 2:45
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
是呢~~~
换源更新后,ubuntu就进不了了
看来,我用8.10的源装东西太多了~~

重装好了,用的上交大的源~~~163的源要下8天,上交大的要2分钟~~~差距咋就这么大呢?我网通的线路,也可能是校园网。不过上5QBT很慢~~


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译